Back to search

Adobe Flash Player "newfunction" Invalid Pointer Use

This module exploits a vulnerability in the DoABC tag handling within versions 9.x and 10.0 of Adobe Flash Player. Adobe Reader and Acrobat are also vulnerable, as are any other applications that may embed Flash player. Arbitrary code execution is achieved by embedding a specially crafted Flash movie into a PDF document. An AcroJS heap spray is used in order to ensure that the memory used by the invalid pointer issue is controlled. NOTE: This module uses a similar DEP bypass method to that used within the adobe_libtiff module. This method is unlikely to work across various Windows versions due a the hardcoded syscall number.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/windows/fileformat/adobe_flashplayer_newfunction

Authors

  • Unknown
  • jduck <jduck [at] metasploit.com>

References

Targets

  • Automatic

Platforms

  • windows

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/windows/fileformat/adobe_flashplayer_newfunction msf exploit(adobe_flashplayer_newfunction) > show targets ...targets... msf exploit(adobe_flashplayer_newfunction) > set TARGET <target-id> msf exploit(adobe_flashplayer_newfunction) > show options ...show and set options... msf exploit(adobe_flashplayer_newfunction) > exploit

Related Vulnerabilities

Related Modules